xine-lib (SSA:2006-207-04)
Posted on: 07/27/2006 11:05 AM

New xine-lib packages are available for Slackware 10.2 and -current to fix security issues.

More details about these issues may be found in the Common Vulnerabilities and Exposures (CVE) database:

Evidently there is also an issue involving AVI files which has not been issued a CVE entry.

Here are the details from the Slackware 10.2 ChangeLog:
Upgraded to xine-lib-1.1.2.
According to's announcement:
There are three security fixes:
- CVE-2005-4048: possible buffer overflow in libavcodec (crafted PNGs);
- CVE-2006-2802: possible buffer overflow in the HTTP plugin;
- possible buffer overflow via bad indexes in specially-crafted AVI files.
(* Security fix *)

Where to find the new packages:

HINT: Getting slow download speeds from
Give a try. This is another primary FTP site
for Slackware that can be considerably faster than downloading

Thanks to the friendly folks at the OSU Open Source Lab
( for donating additional FTP and rsync hosting
to the Slackware project! :-)

Also see the "Get Slack" section on for
additional mirror sites near you.

Updated package for Slackware 10.2:

Updated package for Slackware -current:

MD5 signatures:

Slackware 10.2 package:
d5d3dcd06fd6cc4f68d2a4717f507f21 xine-lib-1.1.2-i686-1.tgz

Slackware -current package:
a82c9b20ccaec12f770cc1e4f63511d7 xine-lib-1.1.2-i686-1.tgz

Installation instructions:

Upgrade the package as root:
# upgradepkg xine-lib-1.1.2-i686-1.tgz


Slackware Linux Security Team

Printed from Linux Compatible (